Subject: Re: IAB Job Description - Call for Comments

From: Kathleen Moriarty <[email-masked]>
Date: Mon, 1 Jul 2019 09:49:42 -0400

Hello,

I just reviewed the IAB description and am wondering if the statement that
the IAB member should act at the "Board" level should be kept to a
technical board level?  If not, a greater understanding of business risk
and management should be part of the "Member qualities" section.  The
management functions, at least as they stand at the moment, do involve
evaluation of business risks and the NomCom should be looking to ensure
there is a balance is skills across the IAB.

Additionally, I think it would be helpful to make it clear that the RFC
Editor is our publisher as it's not entirely clear that the community fully
understands the role by the current title.  Since NomCom members may have
more or less experience in the IETF, I think it is important to ensure that
is clear.

Thank you for opening the description up for review and comment.

Best regards,
Kathleen

On Sun, Jun 30, 2019 at 7:56 PM Martin Thomson <[email-masked]> wrote:

> The IAB requests that people review the IAB Job Description and provide
> feedback.  Any feedback should be provided to [email-masked] by Friday 19th
> of July.
>
> As background, the IAB maintains a job description on its public wiki:
>
>    https://www.iab.org/wiki/index.php/IAB_Job_Description
>
> The IAB job description is used by the NomCom each year as part of
> advertising for volunteers for the position, and as input to their
> deliberations.  The IAB revises this job description based on experience
> with the role and its understanding of the needs of the body.  The document
> is intended to be a relatively stable description of the function, but it
> does change in small ways each year.
>
> The IAB feels that the job description has not had scrutiny from a larger
> audience in some time. As it is important that the NomCom and prospective
> IAB members are properly informed of the needs of a wider community, the
> IAB is seeking public comment on the job description.
>
> As a reminder, if you have feedback on specific IAB members or activities
> for the NomCom, you can contact the NomCom directly.  Contact information
> for the NomCom is found here: https://datatracker.ietf.org/nomcom/2019/
>
> Regards,
> Martin, for the IAB
>
>

-- 

Best regards,
Kathleen

---

From: Michael Richardson <[email-masked]>
Date: Mon, 01 Jul 2019 14:39:44 -0400

Has anyone done a Venn Diagram of how the various I* entities relate/overlap
in their responsabilities?  We did a bunch of diagrams of connectivity for
IASA2, make one of the diagrams a live document?

Reading the IAB job description, I realized that the IAB is the converging
point for "IETF" and "IRTF" activities.  In one view, that puts the IAB
"above" (superset of, really) the IETF, but that's not my understanding of
things.

Why does the IAB have iab.org, while the IESG, IETF LLC have ietf.org.
And the irtf.org has a web site... is the list of RGs' driven by the datatracker?

I wonder if the occurances of "IETF" in the IAB description might be better
replaced with "IESG".

Is there a bubble that includes the IAB, the "IETF" (as envisioned by the IAB
job description) and the IRTF?   If so, what is the name for that bubble?

Is the IRTF part of the IETF?  It's weird that the IRTF is defined in
RFC4440, which defines the IAB, which is part of the IETF, yet the IRTF is
not part of the IETF.

Is the IRTF a sister entity to the IETF, or the IESG?
Is the IRSG a sister entity to the IAB, or the IESG?

(I hate the moniker "IETF LLC", and I wish we'd make up a new informal name.
I guess it should start with I.  I can think of at least one disrepectful
five-letter word that starts with I...)

--
Michael Richardson <[email-masked]>, Sandelman Software Works
 -= IPv6 IoT consulting =-

---

From: "Salz, Rich" <[email-masked]>
Date: Mon, 1 Jul 2019 19:46:24 +0000

>       https://www.iab.org/wiki/index.php/IAB_Job_Description
  
Do you know the extent to which this information has been regularly used to populate the nomcom "desired expertise" tab?

---

From: Brian E Carpenter <[email-masked]>
Date: Tue, 2 Jul 2019 10:55:08 +1200

> Do you know the extent to which this information has been regularly used to populate the nomcom "desired expertise" tab?

At least since 2005 from my personal records, of course in an earlier version of the text. And NomComs have been making it public from at least 2007.

   Brian

---

From: "Martin Thomson" <[email-masked]>
Date: Tue, 02 Jul 2019 09:22:25 +1000

On Tue, Jul 2, 2019, at 08:55, Brian E Carpenter wrote:
> At least since 2005 from my personal records, of course in an earlier 
> version of the text. And NomComs have been making it public from at 
> least 2007.

Yes.  The text in the 2018 description is taken directly from a previous version of this description: https://datatracker.ietf.org/nomcom/2018/expertise/

---

From: "Martin Thomson" <[email-masked]>
Date: Tue, 02 Jul 2019 10:41:00 +1000

Hi Kathleen, 

On Mon, Jul 1, 2019, at 23:50, Kathleen Moriarty wrote:
> I just reviewed the IAB description and am wondering if the statement 
> that the IAB member should act at the "Board" level should be kept to a 
> and management should be part of the "Member qualities" section.

Why do you feel that needs special attention?  The current text mentions "operational management backgrounds" along with a range of other characteristics.  Would you give this greater weight than experience in Internet governance or academia?

> Editor is our publisher as it's not entirely clear that the community 
> fully understands the role by the current title. Since NomCom members 
> may have more or less experience in the IETF, I think it is important 
> to ensure that is clear.

The description says very little about the role the IAB has in oversight of the RSE.  That might be a burning issue of the moment, but is this something that needs additional language in the description, as opposed to just being handled by the usual process of NomCom feedback?

I say that because - as you say - there is some disagreement and confusion about the nature of this relationship. I'm not sure that there is anything we could concretely say without being seen to prejudice the outcome of the ongoing discussion.  Maybe that's just a failing of my imagination, so if you can propose specific text that we can all agree to, that would be appreciated.

Cheers,
Martin

---

From: Kathleen Moriarty <[email-masked]>
Date: Tue, 2 Jul 2019 13:21:55 -0400

Hi Martin,

Thanks for your response, inline.

On Mon, Jul 1, 2019 at 8:41 PM Martin Thomson <[email-masked]> wrote:

> Why do you feel that needs special attention?  The current text mentions
> "operational management backgrounds" along with a range of other
> characteristics.  Would you give this greater weight than experience in
> Internet governance or academia?
>

I ma pointing this out as the feel of the focus (at least to me) has been
on architectural oversight and technical strength.  I hope the NomCom looks
for a diverse set of members that balance each other out in multiple ways
(technical, managerial, industry focus, etc.). Understanding the desired
focus for acting at the board level could be more important with the IESG,
IAB, IETF LLC, and IETF Trust.  The LLC and Trust have budgets and legal
responsibilities.  The IAB does have political aspects to the role with
other SDOs and Internet governance considerations.  The Internet governance
considerations are typically rooted in technical viewpoints and that has
worked well.  The type of board may make a difference here for the NomCom.

> The description says very little about the role the IAB has in oversight
> of the RSE.  That might be a burning issue of the moment, but is this
> something that needs additional language in the description, as opposed to
> just being handled by the usual process of NomCom feedback?
>

Well, I think just changing "RFC Editor" to "RFC Editor (Publisher)" may
make a difference in how this is understood.

> I say that because - as you say - there is some disagreement and confusion
> about the nature of this relationship. I'm not sure that there is anything
> we could concretely say without being seen to prejudice the outcome of the
> ongoing discussion.  Maybe that's just a failing of my imagination, so if
> you can propose specific text that we can all agree to, that would be
> appreciated.
>

How the RFC Editor (Publisher) relationship is maintained in an ongoing
basis may very well change as a result of the current situation.  Since the
IETF LLC owns the contract, this will likely be revisited with an eye
towards risk management, understanding contracts, and peer management.

If the IAB focus is to be maintained as architectural oversight and
guidance, perhaps offloading this responsibility makes sense.  The NomCom
could look for some people with risk management experience too in the
balancing of nominee candidates or could focus on the other areas to
balance more core to the type of board.

Best regards,
Kathleen

-- 

Best regards,
Kathleen

---

From: "Salz, Rich" <[email-masked]>
Date: Tue, 2 Jul 2019 20:20:01 +0000

Acronyms should probably be spelt out before their first use, except maybe for the first sentence of the page that mentions IAB. In particular, BoT is not common IMO.

The Organization role section refers to IAOC and IAD. I'd put IESG confirmation closer to the top of that section. Perhaps revise it to be put all related things -- IETF, ISOC, RFC Editor -- together. This should help make it more clear how "wide spanning" the IAB is.

The "IAB Organization" title should be "IAB Programs" perhaps. The last sentence of that section is sort of the tail that wags the doc, as it were.  Everything else is about "programs"

The "IAB Member Qualities" talks about acting at a Board level.  I wonder if that is too US-centric; would "Director" be better? Some other term? The following sentences talk about "it is desirable for IAB members"  Do you mean EACH member, or collectively?  The "Likewise" sentence clearly, I think, means EACH member.

Typo missing "is" in "in a program [is] an equivalent time commitment"

The second paragraph about requiring more time should be the third sentence of the first paragraph.

Can IAB members be tapped by Ads, or are they asked by Ads?

Hope this helps.

---

From: "Martin Thomson" <[email-masked]>
Date: Wed, 03 Jul 2019 13:40:03 +1000

Hi Kathleen,

On Wed, Jul 3, 2019, at 03:22, Kathleen Moriarty wrote:
> I ma pointing this out as the feel of the focus (at least to me) has 
> been on architectural oversight and technical strength. [...] The type of 
> board may make a difference here for the NomCom.

This nuance is always something that is hard to convey in a fixed document like what we are discussing.  My reading of the text is that it takes no position about the weight of different characteristics in either way, though I do agree that there might be some implicit or cultural understanding that certain qualities are more highly valued over others.

I think that text that the IAB privately proposed might go some way to address this perception.  That would be to add the following to the member qualities section:

"While these characteristics are all important, individuals have different strengths. The IAB as a whole benefits most from a complementary and diverse set of skills that are balanced across all aspects of the role."

This is specifically to address the potential for biases in how different characteristics are weighted by the NomCom.  Would this help?

> Well, I think just changing "RFC Editor" to "RFC Editor (Publisher)" 
> may make a difference in how this is understood.

Is that right?  My understanding is that the publisher role is a separate role.  One that is currently contracted along with the RFC Production Center.

---

From: "Martin Thomson" <[email-masked]>
Date: Wed, 03 Jul 2019 14:13:19 +1000

Thanks Rich,

On Wed, Jul 3, 2019, at 06:21, Salz, Rich wrote:
> Acronyms should probably be spelt out before their first use, except 
> maybe for the first sentence of the page that mentions IAB. In 
> particular, BoT is not common IMO.

Will do.  I will assume that we get a pass on expanding "IETF" and "RFC".
 
> The Organization role section refers to IAOC and IAD. I'd put IESG 
> confirmation closer to the top of that section. Perhaps revise it to be 
> put all related things -- IETF, ISOC, RFC Editor -- together. This 
> should help make it more clear how "wide spanning" the IAB is.

With the edits made in response to Eliot's review, is this better?  The resulting ordering looks approximately OK to me.

> The "IAB Member Qualities" talks about acting at a Board level.  I 
> wonder if that is too US-centric; would "Director" be better? Some 
> other term?

I don't see a problem with the term.

> The following sentences talk about "it is desirable for IAB 
> members"  Do you mean EACH member, or collectively?  The "Likewise" 
> sentence clearly, I think, means EACH member.

Does the text suggested in my response to Kathleen help?

> Hope this helps.

Much, thanks.  I've noted the minor items and issues in a draft.

---

From: Sean Turner <[email-masked]>
Date: Wed, 3 Jul 2019 00:47:46 -0400

> On Jul 1, 2019, at 14:39, Michael Richardson <[email-masked]> wrote:
> 
> I hate the moniker "IETF LLC", and I wish we'd make up a new informal name.

In my internal folder structure and reminders I use IAL (IETF Administration LLC) - YMMV.

spt

---

From: Brian E Carpenter <[email-masked]>
Date: Wed, 3 Jul 2019 17:28:07 +1200

> On Wed, Jul 3, 2019, at 03:22, Kathleen Moriarty wrote:

...
> Is that right?  My understanding is that the publisher role is a separate role.  One that is currently contracted along with the RFC Production Center.

Correct, in the mechanical sense of publication by posting on the Internet. But I don't think that's what Kathleen was getting at. I suppose she was after the sense in which Katharine Graham was publisher of the Washington Post. She didn't personally print the newspapers. This is to underline that the RFC Series Editor is only incidentally a contractor to IETF LLC but is above all the person who manages "the archival publication channel for Internet Standards and for other contributions by the Internet research and engineering community." [RFC2850]

So, actually I think this sentence is wrong:

> The IAB is responsible for the RFC Editor function, including selection and oversight of the RFC Series Editor through the RFC Series Oversight Committee (RSOC).

That's not what the IAB Charter says. See clause (d) at https://tools.ietf.org/html/rfc2850#page-3 for the definition of the IAB's role. So an accurate statement would be more like:

The IAB is responsible for approving the appointment of an organization to act as RFC Editor and the general policy followed by the RFC Editor, through the RFC Series Oversight Committee (RSOC).

(That also fits better with the fact the relevant contracts are held by IETF LLC; there's no way to reconcile that with "the IAB is responsible for the RFC Editor function".)

    Brian

---

From: "Adrian Farrel" <[email-masked]>
Date: Wed, 3 Jul 2019 10:22:01 +0100

All,

> Is that right?  My understanding is that the publisher role is a separate
> role.  One that is currently contracted along with the RFC Production
> Center.

As evidenced by Martin's reply, changing the name does not help here.

An editor is an editor. It may be the case that people misunderstand the
role of an editor (for example, confusing it with the idea of copy-editor),
but changing the name will not help.

Do say "RFC Series Editor" rather than "RFC Editor", but don't go beyond
that change.

However, if you feel that there is lack of clarity, then add word or a
reference to explain the role.

Adrian

---

From: "Salz, Rich" <[email-masked]>
Date: Wed, 3 Jul 2019 11:54:10 +0000

>    With the edits made in response to Eliot's review, is this better?  The resulting ordering looks approximately OK to me.
  
For some reason I didn't see Eliot's comments or your response, but I trust that you've addressed the issue.
  
>    I don't see a problem with the term.
  
Shrug.  Ok.
  
>    Does the text suggested in my response to Kathleen help?
  
Yes.

---

From: Ted Hardie <[email-masked]>
Date: Wed, 3 Jul 2019 09:42:34 -0700

On Tue, Jul 2, 2019 at 10:28 PM Brian E Carpenter <
[email-masked]> wrote:

> <snipped>

> > The IAB is responsible for the RFC Editor function, including selection
> and oversight of the RFC Series Editor through the RFC Series Oversight
> Committee (RSOC).
>
> That's not what the IAB Charter says. See clause (d) at
> https://tools.ietf.org/html/rfc2850#page-3 for the definition of the
> IAB's role. So an accurate statement would be more like:
>
>
The related statement in RFC 6635 is slightly different, as it says:

   The IAB is responsible for the oversight of the RFC Series and acts
   as a body for final conflict resolution, including the process
   described in Section 4.3 <https://tools.ietf.org/html/rfc6635#section-4.3>.

 before going on to describe the delegation of authority to the RSOC.
Almost everything is, in fact,  delegated.  That makes me suspect that a
better reflection of the current system would be:

"The IAB is responsible for the selection of the RFC Series Oversight
Committee (RSOC) and for acting on any recommendations of the RSOC which
effect the RSE as an individual."

Just my two cents,

Ted

> The IAB is responsible for approving the appointment of an organization to
> act as RFC Editor and the general policy followed by the RFC Editor,
> through the RFC Series Oversight Committee (RSOC).
>
> (That also fits better with the fact the relevant contracts are held by
> IETF LLC; there's no way to reconcile that with "the IAB is responsible for
> the RFC Editor function".)
>
>     Brian
>
>

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 4 Jul 2019 12:16:37 +1200

On 04-Jul-19 04:42, Ted Hardie wrote:
> On Tue, Jul 2, 2019 at 10:28 PM Brian E Carpenter <[email-masked] <mailto:[email-masked]>> wrote:
> 
>     <snipped>
> 
>  
> 

True, but that isn't a BCP with IETF consensus, is it?
 
>  before going on to describe the delegation of authority to the RSOC.  Almost everything is, in fact,  delegated.  That makes me suspect that a better reflection of the current system would be:
> 
> "The IAB is responsible for the selection of the RFC Series Oversight Committee (RSOC) and for acting on any recommendations of the RSOC which effect the RSE as an individual."

How can that be true when the contract is held by IETF LLC?

   Brian

---

From: Ted Hardie <[email-masked]>
Date: Wed, 3 Jul 2019 17:54:54 -0700

On Wed, Jul 3, 2019 at 5:16 PM Brian E Carpenter <
[email-masked]> wrote:

> [email-masked] <mailto:[email-masked]>> wrote:
> >
> >     <snipped>
> >
> >
> >
> >     > The IAB is responsible for the RFC Editor function, including
> selection and oversight of the RFC Series Editor through the RFC Series
> Oversight Committee (RSOC).
> >
> >    described in Section 4.3 <
> https://tools.ietf.org/html/rfc6635#section-4.3>.
>
>
> No it isn't.  My understanding of the reasoning behind that choice,
though, was that it matched the new model better to have the model
documents published in the IAB stream.  Leslie and Olaf may have better
clue than me, though.

> The recommendations for appointment of the RSE by the RSOC are approved by
the IAB pending contract negotiations.  Perhaps "for approving any
recommendations" would be better language than "action on"?

regards,

Ted

>    Brian
>
> >
> > Just my two cents,
> >
> > Ted
> >
> >     The IAB is responsible for approving the appointment of an
> organization to act as RFC Editor and the general policy followed by the
> RFC Editor, through the RFC Series Oversight Committee (RSOC).
> >
> >     (That also fits better with the fact the relevant contracts are held
> by IETF LLC; there's no way to reconcile that with "the IAB is responsible
> for the RFC Editor function".)
> >
> >         Brian
> >
>
>

---

From: Brian E Carpenter <[email-masked]>
Date: Thu, 4 Jul 2019 13:18:54 +1200

On 04-Jul-19 12:54, Ted Hardie wrote:
> On Wed, Jul 3, 2019 at 5:16 PM Brian E Carpenter <[email-masked] <mailto:[email-masked]>> wrote:
> 
>     > On Tue, Jul 2, 2019 at 10:28 PM Brian E Carpenter <[email-masked] <mailto:[email-masked]> <mailto:[email-masked] <mailto:[email-masked]>>> wrote:
>     >
>     >     <snipped>
>     >
>     >  
>     >
>     >     > The IAB is responsible for the RFC Editor function, including selection and oversight of the RFC Series Editor through the RFC Series Oversight Committee (RSOC).
>     >
> No it isn't.  My understanding of the reasoning behind that choice, though, was that it matched the new model better to have the model documents published in the IAB stream.  Leslie and Olaf may have better clue than me, though.
>  
> 
> The recommendations for appointment of the RSE by the RSOC are approved by the IAB pending contract negotiations.  Perhaps "for approving any recommendations" would be better language than "action on"?

Yes, I believe that is better, thanks.

   Brian